--
-- Patch DDL de SCO_IMPORT du 10/06/2013 à executer depuis le user GRHUM
--
-- Rem : fichier encodé UTF-8

SET DEFINE OFF;

--
--
-- Fichier : 4/11
-- Type : DDL
-- Schema : SCO_IMPORT
-- Numero de version : 0.1.0.9
-- Date de publication : 10/06/2013
-- Auteur(s) : Association Cocktail
--
--
WHENEVER SQLERROR EXIT SQL.SQLCODE;



------------------------------------------------------------------------------------------------------------------------------------------------------------------
------------------------------------------------------------------ TABLES de NOMENCLATURES  ----------------------------------------------------------------------
------------------------------------------------------------------------------------------------------------------------------------------------------------------
CREATE TABLE SCO_IMPORT.DB_VERSION  (
	DBV_ID NUMBER(38) NOT NULL,
	DBV_LIBELLE VARCHAR2(15) NOT NULL,
	DBV_DATE DATE NOT NULL ,
	DBV_INSTALL DATE,
	DBV_COMMENT VARCHAR2(2000),
   CONSTRAINT PK_DB_VERSION PRIMARY KEY (DBV_ID) USING INDEX TABLESPACE INDX_CKTL_SCOL
);	
CREATE SEQUENCE   SCO_IMPORT.DB_VERSION_SEQ START WITH 1 NOCACHE;
COMMENT ON TABLE  SCO_IMPORT.DB_VERSION 			IS 'Table contenant les versions des scripts passés';
COMMENT ON COLUMN SCO_IMPORT.DB_VERSION.DBV_ID 		IS 'Identifiant de la version';
COMMENT ON COLUMN SCO_IMPORT.DB_VERSION.DBV_LIBELLE 	IS 'Libellé de la version';
COMMENT ON COLUMN SCO_IMPORT.DB_VERSION.DBV_DATE 	IS 'Date de release de la version';
COMMENT ON COLUMN SCO_IMPORT.DB_VERSION.DBV_INSTALL 	IS 'Date d''installation de la version. Si non renseigné, la version n''est pas complètement installée.';
COMMENT ON COLUMN SCO_IMPORT.DB_VERSION.DBV_COMMENT 	IS 'Le commentaire : une courte description de cette version de la base de données.';
	
	

CREATE TABLE SCO_IMPORT.IMPORT_DISCIPLINE(
  	ID_DISCIPLINE	NUMBER(38) NOT NULL,
  	CODE 			VARCHAR2(255),
  	KEY 			NUMBER(12,0),
  	LIBELLE 		VARCHAR2(255),
  	LIBELLE_COURT 	VARCHAR2(255),
  	VALIDE  		NUMBER(1) DEFAULT 0,
  	CONSTRAINT PK_DISCIPLINE PRIMARY KEY (ID_DISCIPLINE) USING INDEX TABLESPACE INDX_CKTL_SCOL 
);
CREATE SEQUENCE   SCO_IMPORT.IMPORT_DISCIPLINE_SEQ START WITH 1 NOCACHE;
COMMENT ON TABLE  SCO_IMPORT.IMPORT_DISCIPLINE 				IS 'Table tampon pour l''import des disciplines';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_DISCIPLINE.CODE 			IS 'Code de la discipline';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_DISCIPLINE.KEY 			IS 'Clé de la discipline (permet de faire lien avec le user SCOLARITE)';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_DISCIPLINE.LIBELLE 		IS 'Libellé de la discipline';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_DISCIPLINE.LIBELLE_COURT 	IS 'Libellé court de la discipline';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_DISCIPLINE.VALIDE 		IS 'Indique si la discipline est valide pour l''année en cours (0/1)';



CREATE TABLE SCO_IMPORT.IMPORT_DOMAINE(
  	ID_DOMAINE		NUMBER(38) NOT NULL,
  	CODE 			VARCHAR2(255),
  	LIBELLE 		VARCHAR2(255),
  	LIBELLE_COURT	VARCHAR2(255),
  	TYPE 			VARCHAR2(255),
    VALIDE  		NUMBER(1) DEFAULT 0,
  	CONSTRAINT PK_DOMAINE PRIMARY KEY (ID_DOMAINE) USING INDEX TABLESPACE INDX_CKTL_SCOL 
);
CREATE SEQUENCE   SCO_IMPORT.IMPORT_DOMAINE_SEQ START WITH 1 NOCACHE;
COMMENT ON TABLE  SCO_IMPORT.IMPORT_DOMAINE 				IS 'Table tampon pour l''import des domaines';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_DOMAINE.CODE 			IS 'Code du domaine';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_DOMAINE.LIBELLE 			IS 'Libellé du domaine';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_DOMAINE.LIBELLE_COURT 		IS 'Libellé court du domaine';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_DOMAINE.TYPE 			IS 'Type du domaine';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_DOMAINE.VALIDE 			IS 'Indique si le domaine est valide pour l''année en cours (0/1)';



CREATE TABLE SCO_IMPORT.IMPORT_GRADE(
  	ID_GRADE		NUMBER(38) NOT NULL,
  	CODE 			VARCHAR2(255),
  	LIBELLE 		VARCHAR2(255),
  	LIBELLE_COURT 	VARCHAR2(255),
  	TYPE 			VARCHAR2(255),
    FILIERE         VARCHAR2(10) DEFAULT 'G',
    VALIDE  		NUMBER(1) DEFAULT 0,
    CONSTRAINT PK_GRADE PRIMARY KEY (ID_GRADE) USING INDEX TABLESPACE INDX_CKTL_SCOL 
);
CREATE SEQUENCE SCO_IMPORT.IMPORT_GRADE_SEQ START WITH 1 NOCACHE;
COMMENT ON TABLE  SCO_IMPORT.IMPORT_GRADE 					IS 'Table tampon pour l''import des grades';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_GRADE.CODE 				IS 'Code du grade';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_GRADE.LIBELLE 			IS 'Libellé du grade';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_GRADE.LIBELLE_COURT 		IS 'Libellé court du grade';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_GRADE.TYPE 				IS 'Type du grade';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_GRADE.FILIERE 			IS 'Indique si le grade provient de la table SCOL_FORMATION_FILIERE (F) ou de la table SCOL_FORMATION_GRADE (G)';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_GRADE.VALIDE 			IS 'Indique si le grade est valide pour l''année en cours (0/1)';



CREATE TABLE SCO_IMPORT.IMPORT_MODE_AP (
  	ID_MODE_AP		NUMBER(38) NOT NULL,
  	CODE 			VARCHAR2(255),
  	LIBELLE_COURT 	VARCHAR2(255),
	LIBELLE 		VARCHAR2(255),
    CONSTRAINT PK_MODE_AP PRIMARY KEY (ID_MODE_AP) USING INDEX TABLESPACE INDX_CKTL_SCOL 
);
CREATE SEQUENCE   SCO_IMPORT.IMPORT_MODE_AP_SEQ START WITH 1 NOCACHE;
COMMENT ON TABLE  SCO_IMPORT.IMPORT_MODE_AP 				IS 'Table tampon pour l''import du mode d''AP';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_MODE_AP.CODE 			IS 'Code du type du mode d''AP';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_MODE_AP.LIBELLE_COURT 		IS 'Libellé court du mode d''AP';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_MODE_AP.LIBELLE 			IS 'Libellé du mode d''AP';



CREATE TABLE SCO_IMPORT.IMPORT_SPECIALISATION(
  	ID_SPECIALISATION 	NUMBER(38) NOT NULL,
	KEY 				NUMBER(12,0),
  	CODE 				VARCHAR2(255),
  	LIBELLE 			VARCHAR2(255),
  	LIBELLE_COURT 		VARCHAR2(255),
  	CONSTRAINT PK_SPECIALISATION PRIMARY KEY (ID_SPECIALISATION) USING INDEX TABLESPACE INDX_CKTL_SCOL 
);
CREATE SEQUENCE   SCO_IMPORT.IMPORT_SPECIALISATION_SEQ START WITH 1 NOCACHE;
COMMENT ON TABLE  SCO_IMPORT.IMPORT_SPECIALISATION 				IS 'Table tampon pour l''import des spécialisations';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_SPECIALISATION.CODE 			IS 'Code de la spécialisation';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_SPECIALISATION.CODE 			IS 'Clé de la spécialisation (permet de faire le lien avec le user SCOLARITE)';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_SPECIALISATION.LIBELLE 		IS 'Libellé de la spécialisation';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_SPECIALISATION.LIBELLE_COURT 	IS 'Libellé court de la spécialisation';



CREATE TABLE SCO_IMPORT.IMPORT_SPECIALITE(
  	ID_SPECIALITE	NUMBER(38) NOT NULL,
  	CODE 			VARCHAR2(255),
  	LIBELLE 		VARCHAR2(255),
  	LIBELLE_COURT 	VARCHAR2(255),
  	VALIDE  		NUMBER(1) DEFAULT 0,
  	CONSTRAINT PK_SPECIALITE PRIMARY KEY (ID_SPECIALITE) USING INDEX TABLESPACE INDX_CKTL_SCOL 
);
CREATE SEQUENCE   SCO_IMPORT.IMPORT_SPECIALITE_SEQ START WITH 1 NOCACHE;
COMMENT ON TABLE  SCO_IMPORT.IMPORT_SPECIALITE 					IS 'Table tampon pour l''import des spécialités';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_SPECIALITE.CODE 				IS 'Code de la spécialité';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_SPECIALITE.LIBELLE 			IS 'Libellé de la spécialité';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_SPECIALITE.LIBELLE_COURT 		IS 'Libellé court de la spécialité';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_SPECIALITE.VALIDE 			IS 'Indique si la spécialité est valide pour l''année en cours (0/1)';



CREATE TABLE SCO_IMPORT.IMPORT_STATUT_FORMATION (
  	ID_STATUT_FORMATION	NUMBER(38) NOT NULL,
  	CODE 				VARCHAR2(255),
	LIBELLE 			VARCHAR2(255),
  	CONSTRAINT PK_STATUT_FORMATION PRIMARY KEY (ID_STATUT_FORMATION) USING INDEX TABLESPACE INDX_CKTL_SCOL 
);
CREATE SEQUENCE   SCO_IMPORT.IMPORT_STATUT_FORMATION_SEQ START WITH 1 NOCACHE;
COMMENT ON TABLE  SCO_IMPORT.IMPORT_STATUT_FORMATION 				IS 'Table tampon pour l''import des statuts de formation';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_STATUT_FORMATION.CODE 			IS 'Code du statuts de formation';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_STATUT_FORMATION.LIBELLE 		IS 'Libellé du statuts de formation';



CREATE TABLE SCO_IMPORT.IMPORT_TYPE_AP (
  	ID_TYPE_AP		NUMBER(38) NOT NULL,
  	CODE 			VARCHAR2(255),
  	LIBELLE_COURT	VARCHAR2(255),
	LIBELLE 		VARCHAR2(255),
  	CONSTRAINT PK_TYPE_AP PRIMARY KEY (ID_TYPE_AP) USING INDEX TABLESPACE INDX_CKTL_SCOL 
);
CREATE SEQUENCE   SCO_IMPORT.IMPORT_TYPE_AP_SEQ START WITH 1 NOCACHE;
COMMENT ON TABLE  SCO_IMPORT.IMPORT_TYPE_AP 				IS 'Table tampon pour l''import du type d''AP';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_TYPE_AP.CODE 			IS 'Code du type du type d''AP';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_TYPE_AP.LIBELLE_COURT 		IS 'Libellé court du type d''AP';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_TYPE_AP.LIBELLE 			IS 'Libellé du type d''AP';



CREATE TABLE SCO_IMPORT.IMPORT_TYPE_ORGANISATION (
  	ID_TYPE_ORGANISATION	NUMBER(38) NOT NULL,
  	KEY 				VARCHAR2(255),
  	CODE 				VARCHAR2(255),
	LIBELLE 			VARCHAR2(255),
  	CONSTRAINT PK_TYPE_ORGANISATION PRIMARY KEY (ID_TYPE_ORGANISATION) USING INDEX TABLESPACE INDX_CKTL_SCOL 
);
CREATE SEQUENCE   SCO_IMPORT.IMPORT_TYPE_ORGANISATION_SEQ START WITH 1 NOCACHE;
COMMENT ON TABLE  SCO_IMPORT.IMPORT_TYPE_ORGANISATION 			IS 'Table tampon pour l''import des types d''organisation';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_TYPE_ORGANISATION.CODE 		IS 'Code du type d''organisation';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_TYPE_ORGANISATION.KEY 			IS 'Clé du type d''organisation (permet de faire lien avec le user SCOLARITE)';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_TYPE_ORGANISATION.LIBELLE 		IS 'Libellé du type d''organisation';



CREATE TABLE SCO_IMPORT.IMPORT_VOCATION(
  	ID_VOCATION	NUMBER(38) NOT NULL,
  	CODE 			VARCHAR2(255),
  	LIBELLE 		VARCHAR2(255),
  	LIBELLE_COURT 	VARCHAR2(255),
  	VALIDE  		NUMBER(1) DEFAULT 0,
  	CONSTRAINT PK_VOCATION PRIMARY KEY (ID_VOCATION) USING INDEX TABLESPACE INDX_CKTL_SCOL 
);
CREATE SEQUENCE   SCO_IMPORT.IMPORT_VOCATION_SEQ START WITH 1 NOCACHE;
COMMENT ON TABLE  SCO_IMPORT.IMPORT_VOCATION 				IS 'Table tampon pour l''import des vocations';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_VOCATION.CODE 			IS 'Code de la vocation';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_VOCATION.LIBELLE 			IS 'Libellé de la vocation';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_VOCATION.LIBELLE_COURT 	IS 'Libellé court de la vocation';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_VOCATION.VALIDE 			IS 'Indique si la vocation est valide pour l''année en cours (0/1)';



CREATE TABLE SCO_IMPORT.Z_ID(
    ID_SOUR 			NUMBER(38,0),
    ID_DEST 			NUMBER(38,0),
    ID_TYPE 			VARCHAR2(255 BYTE)
);
CREATE INDEX Z_ID_ID_SOUR ON SCO_IMPORT.Z_ID(ID_SOUR) TABLESPACE INDX_CKTL_SCOL;
COMMENT ON TABLE  SCO_IMPORT.Z_ID 					IS 'Table tampon pour la synchronisation des ID pour le remplissage et le visage de SCO_IMPORT';
COMMENT ON COLUMN SCO_IMPORT.Z_ID.ID_SOUR 				IS 'ID d''origine';
COMMENT ON COLUMN SCO_IMPORT.Z_ID.ID_DEST 				IS 'ID de destination';
COMMENT ON COLUMN SCO_IMPORT.Z_ID.ID_TYPE 				IS 'Type d''ID';

------------------------------------------------------------------------------------------------------------------------------------------------------------------
------------------------------------------------------------------ Table d'imports des composants ----------------------------------------------------------------
------------------------------------------------------------------------------------------------------------------------------------------------------------------

CREATE TABLE SCO_IMPORT.IMPORT_AP (
  	ID_AP 			NUMBER(38) NOT NULL,
  	VERSION_DIPLOME_ID 	NUMBER,
  	CODE 				VARCHAR2(255),
  	LIBELLE 			VARCHAR2(255),
	TYPE_AP_ID 		NUMBER(38) NOT NULL,
	MODE_AP_ID 		NUMBER(38) NOT NULL,
  	VALEUR_HEURES 		NUMBER,
  	NB_GROUPES 		NUMBER,
    SEUIL 			NUMBER,
    CONSTRAINT PK_AP PRIMARY KEY (ID_AP) USING INDEX TABLESPACE INDX_CKTL_SCOL 
);
CREATE SEQUENCE   SCO_IMPORT.IMPORT_AP_SEQ START WITH 1 NOCACHE;
COMMENT ON TABLE  SCO_IMPORT.IMPORT_AP 					IS 'Table tampon pour l''import des APs';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_AP.VERSION_DIPLOME_ID 		IS 'ID de la version de diplome auquel est rattaché l''AP';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_AP.CODE 				IS 'Code de l''AP';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_AP.LIBELLE 				IS 'Libellé de l''AP';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_AP.TYPE_AP_ID 			IS 'ID du type de l''AP auquel est rattaché l''AP (lien vers la table IMPORT_TYPE_AP)';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_AP.MODE_AP_ID 			IS 'ID du mode de l''AP auquel est rattaché l''AP (lien vers la table IMPORT_MODE_AP)';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_AP.VALEUR_HEURES 			IS 'Nombre d''heures de l''AP';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_AP.NB_GROUPES 			IS 'Nombre de groupes';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_AP.SEUIL 				IS 'Nombre max d''etudiants par groupe';


CREATE TABLE SCO_IMPORT.IMPORT_EC (
  	ID_EC				NUMBER(38) NOT NULL,
  	DISCIPLINE_ID 		NUMBER,
  	VERSION_DIPLOME_ID 	NUMBER,
  	CODE 				VARCHAR2(255),
  	LIBELLE 			VARCHAR2(255),
  	LIBELLE_COURT 		VARCHAR2(255),
  	CREDIT_ECTS 		NUMBER,
    TRAVAIL_ETUDIANT 	NUMBER,
    BASE_NOTE 			NUMBER,
    C_STRUCTURE		VARCHAR2(10),
    FORMULE1    VARCHAR(500),
    FORMULE2    VARCHAR(500),
  	CONSTRAINT PK_EC PRIMARY KEY (ID_EC) USING INDEX TABLESPACE INDX_CKTL_SCOL 
);
CREATE SEQUENCE   SCO_IMPORT.IMPORT_EC_SEQ START WITH 1 NOCACHE;
COMMENT ON TABLE  SCO_IMPORT.IMPORT_EC 					IS 'Table tampon pour l''import des ECs';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_EC.DISCIPLINE_ID 			IS 'ID de la discipline à laquelle est rattaché l''EC (lien vers la table IMPORT_DISCIPLINE)';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_EC.VERSION_DIPLOME_ID 		IS 'ID de la version de diplome auquel est rattaché l''EC';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_EC.CODE 				IS 'Code de l''EC';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_EC.LIBELLE 				IS 'Libellé de l''EC';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_EC.LIBELLE_COURT 			IS 'Libellé court de l''EC';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_EC.CREDIT_ECTS 			IS 'Nombre de crédits ECTS de l''EC';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_EC.TRAVAIL_ETUDIANT 		IS 'Nombre d''heures de travail demandé pour l''étudiant';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_EC.BASE_NOTE 			IS 'Base de notation ou note maximale ';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_EC.C_STRUCTURE 			IS 'Structure auqelle est rattaché l''EC ';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_EC.FORMULE1 			IS 'Première formule de l''EC ';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_EC.FORMULE2 			IS 'Deuxième formule de l''EC ';

CREATE TABLE SCO_IMPORT.IMPORT_UE (
  	ID_UE 			NUMBER(38) NOT NULL,
  	DOMAINE_ID 		NUMBER,
  	VERSION_DIPLOME_ID	NUMBER,
  	CODE 				VARCHAR2(255),
  	LIBELLE 			VARCHAR2(255),
  	LIBELLE_COURT 		VARCHAR2(255),
  	CREDIT_ECTS 		NUMBER,
    TRAVAIL_ETUDIANT 	NUMBER,
    BASE_NOTE 			NUMBER,
  	CONSTRAINT PK_UE PRIMARY KEY (ID_UE) USING INDEX TABLESPACE INDX_CKTL_SCOL 
);
CREATE SEQUENCE   SCO_IMPORT.IMPORT_UE_SEQ START WITH 1 NOCACHE;
COMMENT ON TABLE  SCO_IMPORT.IMPORT_UE 					IS 'Table tampon pour l''import des UEs';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_UE.DOMAINE_ID 			IS 'ID du domaine auquel est rattaché l''UE (lien vers la table IMPORT_DOMAINE)';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_UE.VERSION_DIPLOME_ID 		IS 'ID de la version de diplome auquel est rattaché l''UE';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_UE.CODE 				IS 'Code de l''UE';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_UE.LIBELLE 				IS 'Libellé de l''UE';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_UE.LIBELLE_COURT 			IS 'Libellé court de l''UE';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_UE.CREDIT_ECTS 			IS 'Nombre de crédits ECTS de l''UE';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_UE.TRAVAIL_ETUDIANT 		IS 'Nombre d''heures de travail demandé pour l''étudiant';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_UE.BASE_NOTE 			IS 'Base de notation ou note maximale ';

CREATE TABLE SCO_IMPORT.IMPORT_PERIODE (
  ID_PERIODE NUMBER(38) NOT NULL,
  ORDRE NUMBER,
  HORAIRE_ETUDIANT NUMBER,
  BONIFIABLE NUMBER,
  POINTS_CONTRAINTE NUMBER,
  POINTS NUMBER,
  NOTE_BASE NUMBER,
  NOTE_OBTENTION NUMBER,
  NOTE_ELIMINATION NUMBER,
  DATE_DEBUT DATE,
  DATE_FIN DATE,
  SEMAINE_SESSION1 NUMBER,
  SEMAINE_SESSION2 NUMBER,
  ANNEE   NUMBER,
  CONSTRAINT PK_PERIODE PRIMARY KEY (ID_PERIODE) USING INDEX TABLESPACE INDX_CKTL_SCOL 
);
CREATE SEQUENCE SCO_IMPORT.IMPORT_PERIODE_SEQ START WITH 1 NOCACHE;
COMMENT ON TABLE  SCO_IMPORT.IMPORT_PERIODE IS 'Table tampon pour l''import des périodes';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_PERIODE.ORDRE IS 'Ordre de la période';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_PERIODE.HORAIRE_ETUDIANT IS 'Volume horaire étudiant de la période';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_PERIODE.BONIFIABLE IS 'Si vrai, période bonifiable';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_PERIODE.POINTS_CONTRAINTE IS 'Nombre de points obligatoires de la période';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_PERIODE.POINTS IS 'Nombre de points de la période';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_PERIODE.NOTE_BASE IS 'Note de base de la période';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_PERIODE.NOTE_OBTENTION IS 'Note d''obtention de la période';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_PERIODE.NOTE_ELIMINATION IS 'Note d''elimination de la période';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_PERIODE.DATE_DEBUT IS 'Date de débute de la période';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_PERIODE.DATE_FIN IS 'Date de fin de la période';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_PERIODE.SEMAINE_SESSION1 IS 'Première semaine de session la période';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_PERIODE.SEMAINE_SESSION2 IS 'Deuxième semaine de session de la période';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_PERIODE.ANNEE IS 'Année de la période';

CREATE TABLE SCO_IMPORT.IMPORT_PARCOURS (
  	ID_PARCOURS		NUMBER(38) NOT NULL,
  	SPECIALISATION_ID 	NUMBER, 
  	VOCATION_ID 		NUMBER,
  	VERSION_DIPLOME_ID 	NUMBER,
  	CODE 				VARCHAR2(255),
  	LIBELLE 			VARCHAR2(255),
  	LIBELLE_COURT 		VARCHAR2(255),
  	CONSTRAINT PK_PARCOURS PRIMARY KEY (ID_PARCOURS) USING INDEX TABLESPACE INDX_CKTL_SCOL 
);
CREATE SEQUENCE   SCO_IMPORT.IMPORT_PARCOURS_SEQ START WITH 1 NOCACHE;
COMMENT ON TABLE  SCO_IMPORT.IMPORT_PARCOURS 				IS 'Table tampon pour l''import des parcours';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_PARCOURS.SPECIALISATION_ID 		IS 'ID de la spécialisation à laquelle est rattaché le parcours (lien vers la table IMPORT_SPECIALISATION)';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_PARCOURS.VOCATION_ID 		IS 'ID de la vocation à laquelle est rattaché le parcours (lien vers la table IMPORT_VOCATION)';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_PARCOURS.VERSION_DIPLOME_ID 	IS 'ID de la version de diplome auquel est rattaché le parcours';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_PARCOURS.CODE 			IS 'Code du parcours';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_PARCOURS.LIBELLE 			IS 'Libellé du parcours';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_PARCOURS.LIBELLE_COURT 		IS 'Libellé court du parcours';


CREATE TABLE SCO_IMPORT.IMPORT_DIPLOME (
  	ID_DIPLOME			NUMBER(38) NOT NULL,
  	CODE 				VARCHAR2(255),
  	LIBELLE 			VARCHAR2(255),
  	LIBELLE_COURT 		VARCHAR2(255),
  	SISE_MESR 			VARCHAR2(255),
    GRADE_UNIVERSITAIRE_ID NUMBER,
  	DOMAINE_ID 		NUMBER,
  	VOCATION_ID 		NUMBER,  	
  	STATUT_FORMATION_ID 	NUMBER,
  	TYPE_ORGANISATION_ID	NUMBER,
  	SPECIALISATION_ID 	NUMBER, 
  	MENTION 			VARCHAR2(255),
  	SPECIALITE 		VARCHAR2(255), 
  	ANNEE_DEPART 		NUMBER, 	
  	ANNEE_ARRIVEE 		NUMBER,
  	MODELE 			VARCHAR2(1),
    ANNEE   NUMBER,
  	CONSTRAINT PK_DIPLOME PRIMARY KEY (ID_DIPLOME) USING INDEX TABLESPACE INDX_CKTL_SCOL 
);
CREATE SEQUENCE   SCO_IMPORT.IMPORT_DIPLOME_SEQ START WITH 1 NOCACHE;
COMMENT ON TABLE  SCO_IMPORT.IMPORT_DIPLOME 					IS 'Table tampon pour l''import des diplomes';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_DIPLOME.CODE 				IS 'Code du diplome';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_DIPLOME.LIBELLE 				IS 'Libellé du diplome';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_DIPLOME.LIBELLE_COURT 			IS 'Libellé court du diplome';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_DIPLOME.SISE_MESR 			IS 'Le code SISE fourni par le MESR (obligatoire)';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_DIPLOME.GRADE_UNIVERSITAIRE_ID 	IS 'Grade universitaire du diplome (lien vers la table GRADE_UNIVERSITAIRE)';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_DIPLOME.DOMAINE_ID 			IS 'ID du domaine auquel est rattaché l''UE (lien vers la table IMPORT_DOMAINE)';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_DIPLOME.VOCATION_ID 			IS 'ID de la vocation à laquelle est rattaché le diplome (lien vers la table IMPORT_VOCATION)';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_DIPLOME.STATUT_FORMATION_ID 		IS 'Type de la formation (lien vers la table TYPE_FORMATION)';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_DIPLOME.TYPE_ORGANISATION_ID 	IS 'Type d''organisation du diplome (lien vers la table TYPE_ORGANISATION)';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_DIPLOME.TYPE_ORGANISATION_ID 	IS 'Spécialisation du diplome (lien vers la table IMPORT_SPECIALISATION)';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_DIPLOME.MENTION 				IS 'Libellé de la mention du diplome';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_DIPLOME.SPECIALITE 			IS 'Spécialité du diplome';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_DIPLOME.ANNEE_DEPART 			IS 'Numéro de l''année de départ (de 1 à 5)';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_DIPLOME.ANNEE_ARRIVEE 			IS 'Numéro de l''année d''arrivée (de 1 à 5)';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_DIPLOME.MODELE 				IS 'Lettre représentant le "modèle" du diplome (A, B, L, M, D, ...)';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_DIPLOME.ANNEE IS 'Année pour laquelle le diplome est définie, permet de lier avec la version du diplome';

CREATE TABLE SCO_IMPORT.IMPORT_NATURE_LIEN(
  ID_NATURE_LIEN NUMBER(38) NOT NULL,
  CODE VARCHAR2(255),
  LIBELLE VARCHAR2(255),
  CONSTRAINT PK_NATURE_LIEN PRIMARY KEY (ID_NATURE_LIEN) USING INDEX TABLESPACE INDX_CKTL_SCOL 
);
CREATE SEQUENCE SCO_IMPORT.IMPORT_NATURE_LIEN_SEQ START WITH 1 NOCACHE;
COMMENT ON TABLE  SCO_IMPORT.IMPORT_NATURE_LIEN 					IS 'Table tampon pour l''import de la nature des liens';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_NATURE_LIEN.CODE			IS 'Code de la nature du lien';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_NATURE_LIEN.LIBELLE  IS 'Libelle de la nature du lien';
  

CREATE TABLE SCO_IMPORT.IMPORT_LIEN (
  	ID_LIEN		NUMBER(38) NOT NULL,
  	PARENT_ID 		NUMBER,
  	ENFANT_ID 		NUMBER,
  	SEMESTRE 		NUMBER,
  	MAJEUR 		VARCHAR2(1),
    NATURE_LIEN_ID  NUMBER(38),
    TYPE_PARENT 			VARCHAR2(255 BYTE),
    TYPE_ENFANT 			VARCHAR2(255 BYTE),
    CONSTRAINT PK_LIEN PRIMARY KEY (ID_LIEN) USING INDEX TABLESPACE INDX_CKTL_SCOL 
);
CREATE SEQUENCE   SCO_IMPORT.IMPORT_LIEN_SEQ START WITH 1 NOCACHE;
COMMENT ON TABLE  SCO_IMPORT.IMPORT_LIEN 					IS 'Table tampon pour l''import des liens';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_LIEN.PARENT_ID 				IS 'ID de l''EC  ou de l''UE (correspond au parent dans la nouvelle scol)';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_LIEN.ENFANT_ID 				IS 'ID de l''AP ou de l''EC (correspond au child dans la nouvelle scol)';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_LIEN.SEMESTRE 			IS 'à préciser';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_LIEN.MAJEUR 			IS 'à préciser';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_LIEN.NATURE_LIEN_ID  IS 'Nature du lien';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_LIEN.TYPE_PARENT 			IS 'Type du parent';
COMMENT ON COLUMN SCO_IMPORT.IMPORT_LIEN.TYPE_ENFANT 			IS 'Type de l''enfant ';
